# helm upgrade --install cube gadsme/cube -n data-tools --values cubejs/cube.yaml

commonLabels:
  vector.dev/exclude: "true"

image:
  tag: v0.32.27

config:
  apiPort: 4000
  pgSqlPort: 5432
  sqlUser: cubejs

  sqlPassword: "pass"
#    apiPasswordFromSecret:
#      name:
#      key:

  devMode: true
  debug: false
  logLevel: "info"
  telemetry: false
  apiSecret: "mySecretPass"
#  schemaPath: schema/cm/..data

  scheduledRefreshTimezones: 'Europe/Prague'
  preAggregationsSchema: dev_pre_aggregations
  cacheAndQueueDriver: cubestore

  ## Will be used to both api and workers
  volumes:
    - name: schema-pvc
      persistentVolumeClaim:
        claimName: cubejs-schema-pvc

#    - name: schema-cm
#      configMap:
#        name: cube-api-schema-configmap
    - name: cube-js
      configMap:
        name: cube-js-configmap

  ## Will be used to both api and workers
  volumeMounts:
    - name: schema-pvc
      mountPath: /cube/conf/schema

#    - name: schema-cm
#      mountPath: /cube/conf/schema
#      readOnly: true
    - name: cube-js
      mountPath: /cube/conf/cube.js
      readOnly: true
      subPath: cube.js

datasources:
  ## Default datasource
  default:
    type: postgres
    url:
    host: psql-dp-rabin.postgres.database.azure.com
    port: 5432
    schema: public
    name: dataplatform
    user: datari
    pass: pass
    # passFromSecret:
    #   name:
    #   key:
    maxPool: 8
    queryTimeout: "10m"
    ssl:
      enabled: true

cubestore:
  host: cubestore-router
  port: 3030

api:
  apiCount: 2
  resources:
    requests:
      cpu: 100m
      memory: 250Mi
    limits:
      cpu: 300m
      memory: 1400Mi

workers:
  workersCount: 1
  resources:
    requests:
      cpu: 50m
      memory: 150Mi
    limits:
      cpu: 300m
      memory: 1300Mi

ingress:
  enabled: true
  hostname: cube.rabin.oictinternal.cz
  path: /
  ingressClassName: nginx-internal
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    nginx.ingress.kubernetes.io/proxy-body-size: "0"
  tls: true
